## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/bitarray.h File Reference

A one-dimensional array of bits, similar to STL bitset. More...

`#include "csextern.h"`
`#include "comparator.h"`
`#include "hash.h"`

Go to the source code of this file.

## Classes

class | csBitArray
| A one-dimensional array of bits, similar to STL bitset. More...
class | csBitArray::BitProxy
class | csComparator< csBitArray, csBitArray >
| csComparator<> specialization for csBitArray to allow its use as e.g. More...
class | csHashComputer< csBitArray >
| csHashComputer<> specialization for csBitArray to allow its use as hash key type. More...

## Variables

CS_SPECIALIZE_TEMPLATE class | csComparator< csBitArray, csBitArray >
CS_SPECIALIZE_TEMPLATE class | csHashComputer< csBitArray >

## Detailed Description

A one-dimensional array of bits, similar to STL bitset.

Definition in file bitarray.h.